Issue1782565

classification
Title: Mismatch in repr of obj of unicode and subclass of unicode
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: mehendran, pjenvey
Priority: normal Keywords:

Created on 2007-08-27.15:39:56 by mehendran, last changed 2008-04-15.01:03:17 by pjenvey.

Messages
msg1871 (view) Author: Mehendran (mehendran) Date: 2007-08-27.15:39:56
The string representation of unicode and subclass of unicode seems to be different. 

In CPython
----------
Python 2.5.1 (r251:54863, Jul 18 2007, 13:30:45)
[GCC 4.1.0 (SUSE Linux)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> class B(unicode):
...     pass
...
>>> a=unicode("12")
>>> b=B("12")
>>> a
u'12'
>>> b
u'12'
>>> repr(a)
"u'12'"
>>> repr(b)
"u'12'"

In Jython
----------
Jython 2.3a0 on java1.6.0_01
Type "copyright", "credits" or "license" for more information.
>>> class B(unicode):
...     pass
...
>>> a=unicode("12")
>>> b=B("12")
>>> a
u'12'
>>> b
u12
>>> repr(a)
u"u'12'"
>>> repr(b)
'u12'

msg1872 (view) Author: Mehendran (mehendran) Date: 2007-08-27.16:24:26
I am looking at this bug. I will come with a patch soon
msg1873 (view) Author: Mehendran (mehendran) Date: 2007-08-31.10:11:58
Patch is been added.

[ 1785475 ] patch for bug IDs 1768970, 1782565 & 1783868
msg3153 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-15.01:03:17
fixed on trunk as of r4346, thanks again Mehendran!
History
Date User Action Args
2008-04-15 01:03:17pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3153
components: + Core, - None
2008-04-14 07:30:23pjenveysetassignee: pjenvey
nosy: + pjenvey
2007-08-27 15:39:56mehendrancreate